#!/bin/sh
echo 'name: generic-deriving
version: 1.5.0
id: generic-deriving-1.5.0-34603698a2f95701dd95bc87a1175ce9

license: BSD3
copyright: 2011-2013 Universiteit Utrecht, University of Oxford
maintainer: generics@haskell.org
stability: experimental
homepage:
package-url:
synopsis: Generic programming library for generalised deriving.
description: This package provides functionality for generalising the deriving mechanism
             in Haskell to arbitrary classes. It was first described in the paper:
             .
             *  /A generic deriving mechanism for Haskell/.
             Jose Pedro Magalhaes, Atze Dijkstra, Johan Jeuring, and Andres Loeh.
             Haskell'\''10.
             .
             The current implementation integrates with the new GHC Generics. See
             <http://www.haskell.org/haskellwiki/GHC.Generics> for more information.
             Template Haskell code is provided for supporting GHC before version 7.2.
category: Generics
author: José Pedro Magalhães
exposed: True
exposed-modules: Generics.Deriving Generics.Deriving.Base
                 Generics.Deriving.Instances Generics.Deriving.ConNames
                 Generics.Deriving.Enum Generics.Deriving.Eq
                 Generics.Deriving.Foldable Generics.Deriving.Functor
                 Generics.Deriving.Monoid Generics.Deriving.Show
                 Generics.Deriving.Traversable Generics.Deriving.Uniplate
                 Generics.Deriving.TH
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/generic-deriving-1.5.0
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/generic-deriving-1.5.0
              /usr/local/lib
hs-libraries: HSgeneric-deriving-1.5.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd
         template-haskell-2.8.0.0-91c2562cc83a7f46e2e06b8769919b9d
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/generic-deriving-1.5.0/html/generic-deriving.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/generic-deriving-1.5.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
